from .base import *  # isort:skip
from .version import get_current_version


SECRET_KEY = "mv4&5#+)-=abz3^&1r^nk_ca6y54--p(4n4cg%z*g&rb64j%wl"

MIDDLEWARE += ["debug_toolbar.middleware.DebugToolbarMiddleware"]

EMAIL_BACKEND = "django.core.mail.backends.console.EmailBackend"

INSTALLED_APPS += ["debug_toolbar", "django_extensions"]

# Project settings
VERSION = get_current_version()

# Third party settings
AXES_FAILURE_LIMIT = 50
AXES_COOLOFF_TIME = None

try:
    # Optionally use sentry integration
    from sentry_sdk import init as sentry_init

    from .local import *  # noqa

    SENTRY_CONFIG.update({"release": VERSION})

    sentry_init(**SENTRY_CONFIG)
except ImportError:
    pass
